Jump to content

Attention Pod Farm DAW users: Steinberg discontinues DAW VST2 compatibility


Recommended Posts

Steinberg has announced to disontinue VST2 support by the end of 2023: VST 2 Discontinued – Steinberg Support

POD Farm 2.5 is VST2 and will then no longer be compatible with Cubase.

L6 support told me that there will be no VST3 version of PodFarm 2.5 in the future.

 

So what is left to do for me as a Pod Farm 2.5 user?

Forced to buy buy the expensive Helix plugin?

Hope for a less expensive Pod Go plugin?

Look for alternatives in the plugin market?

 

The future will show what L6 will do for its Pod Farm users.

Link to comment
Share on other sites

Yes, a constant issue in the computing industry. All manufacturers discontinue support for all software and hardware products eventually. Anything else you purchase now will also be discontinued eventually.

 

But you do have another short term option that you didn’t mention. Instead of switching your plug-in you could switch your DAW from Steinberg to some other DAW that still supports VST2. Or, simply don’t upgrade your version of Cubase when the new release drops VST2 support.

 

You could also post this in the Steinberg forums and encourage them to revisit their decision.

Link to comment
Share on other sites

Dear silverhead

 

thanks for your input, very appreciated.

 

VST2 was introduced in 1999.

PodFarm 2.5 was introduced in 2011 if I am right.

The last improvement happened in 2015 (!).

 

VST3 exists since 2008.

L6 decided not to upgrade PodFarm to VST3.

So we have to face the fact that PodFarm 2.5 will soon be outdated.

 

Riding a dead horse doesn’t make sense to me.

 

The better beats the good.

Link to comment
Share on other sites

Switch to Reaper, it supports all VST formats.  Free to download the full uncrippled version, you only get a nag screen after 30 days.  Only $60 to register.

Link to comment
Share on other sites

Thanks for your advice.

 

I use Cubase for la lot of years and it has all I need for a good sounding mixdown.

I have 275 DAW active projects at the moment. Do you suggest to remake them all?

Just to keep going with a software wich will soon be outdated regarding VST3?

 

It’s the decision of L6 to devalue PodFarm to a stand alone app in the VST3 future.

Link to comment
Share on other sites

3 hours ago, olerabbit said:

It’s the decision of L6 to devalue PodFarm to a stand alone app in the VST3 future.

Actually, the title you chose for this thread is more accurate. This is Steinberg’s decision. Are you expecting all plug-in producers in the world to adapt to Steinberg’s decision and update their old plugins to VST3? Or do you just want to single out Line 6?
 

Other DAW manufacturers will follow in time. As you say, the future is VST3 (at least for now). But I understand that you’d rather place blame on anyone but Steinberg.

 

You have good reason to want to continue with Cubase. There are plenty of VST3 compatible plugins, including Helix Native. But to continue with Cubase you will no longer be able to use Pod Farm (or any other non-VST3 plug-in) at the point that Steinberg stops supporting VST2.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...